import * as $dara from '@darabonba/typescript';
import { ListFileProtectEventResponseBody } from "./ListFileProtectEventResponseBody";
export declare class ListFileProtectEventResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListFileProtectEventResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
